%define bname gstreamer
%define name %bname-ffmpeg
%define oname gst-ffmpeg
%define version 0.8.6
%define release 1.2.20060mdk
%define gstver 0.8.0

Summary: Gstreamer plugin for the ffmpeg codec
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://gstreamer.freedesktop.org/src/gst-ffmpeg/%{oname}-%{version}.tar.bz2
Patch0: gst-ffmpeg-0.8.6-CVE-2005-4048.patch.bz2
Patch1: gst-ffmpeg-0.8.6-CVE-2006-4800.patch
License: GPL
Group: Video
Url: http://www.gstreamer.net
BuildRequires: libgstreamer-plugins-devel >= %gstver
Requires(post,postun): gstreamer08-tools >= %gstver
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Video codec plugin for GStreamer based on the ffmpeg libraries.

%prep
%setup -q -n %oname-%version
%patch0 -p1 -b .cve-2005-4048
%patch1 -p1 -b .cve-2006-4800

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/gstreamer*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_bindir/gst-register-0.8 > /dev/null 2> /dev/null
%postun
%_bindir/gst-register-0.8 > /dev/null 2> /dev/null

%files
%defattr(-,root,root)
%doc README NEWS TODO ChangeLog AUTHORS
%_libdir/gstreamer-*/libgstffmpeg.so
%_libdir/gstreamer-*/libgstpostproc.so

%changelog
* Thu Sep 21 2006 Stew Benedict <sbenedict@mandriva.com> 0.8.6-1.2.20060mdk
- P1: security fix for CVE-2006-4800 (embedded ffmpeg)

* Mon Dec 12 2005 Stew Benedict <sbenedict@mandriva.com> 0.8.6-1.1.20060mdk
- security update for CVE-2005-4048 (P0, embedded ffmpeg)

* Sun Aug 07 2005 Götz Waschk <waschk@mandriva.org> 0.8.6-1mdk
- update file list
- remove gcc workaround
- New release 0.8.6

* Thu Jun 16 2005 Gtz Waschk <waschk@mandriva.org> 0.8.5-2mdk
- replace prereq by current syntax
- fix buildrequires

* Wed Jun 15 2005 Gtz Waschk <waschk@mandriva.org> 0.8.5-1mdk
- ugly workaround for bug 16170
- New release 0.8.5

* Mon Mar 14 2005 Götz Waschk <waschk@linux-mandrake.com> 0.8.4-1mdk
- New release 0.8.4

* Mon Dec 27 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.3-1mdk
- New release 0.8.3

* Sun Oct 10 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.2-1mdk
- New release 0.8.2

* Thu Oct  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1.2-1mdk
- new version

* Fri Jul 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-1mdk
- reenable libtoolize
- add source URL
- New release 0.8.1

* Thu Apr 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-2mdk
- prerequires gstreamer08-tools for the post script
- add post installation script
- fix doc listing

* Wed Apr  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-1mdk
- initial package
